Skip to main content
GET
Get claimable fee balances

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

environmentId
string
required

ID of the environment

Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

Query Parameters

recipientAddress
string
required

Recipient EVM address to query balances for Valid blockchain wallet address, must be an alphanumeric string (underscores allowed for chains like Midnight, hyphens allowed for chains using base64url-encoded addresses like TON)

Maximum string length: 255
Pattern: ^[A-Za-z0-9_-]{18,100}$
Example:

"0xbF394748301603f18d953C90F0b087CBEC0E1834"

chainId
string

Optional filter — only claim balances settled on this chain

tokenAddress
string

Optional filter — only claim balances for this token contract address

Response

Fee balances

The recipient's claimable fee balances aggregated across every provider. An empty balances list means there is nothing to claim; hasClaimableFees is a convenience flag that is true when balances is non-empty.

balances
object[]
required

One entry per claimable token and chain balance; empty when there is nothing to claim

hasClaimableFees
boolean
required

True when the recipient has at least one claimable balance

Last modified on July 29, 2026